/*******************************************************************************
* File Name          	: random.h
* Author             	: ELV AG
* Version            	: V1.0
* Date               	: 2009-07-18
* Description        	: all the functions prototypes and defines for the random.c
********************************************************************************
********************************************************************************
* Processor						: ATmega168 @ 8 MHz
* Compiler						: IAR (V4.30D)
*******************************************************************************/

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef _random_h_
#define _random_h_ 1

/* Exported constants --------------------------------------------------------*/
#define A 1103515245
#define C 12345
#define M 4294967296

/* Exported functions --------------------------------------------------------*/
void AddRandomButton(unsigned char*, unsigned char);
unsigned int getRandom(void);

#endif

/******************* (C) COPYRIGHT 2010 ELV AG *****END OF FILE****/
