/*******************************************************************************
* File Name          	: includes.h
* Author             	: ELV AG
* Version            	: V1.0
* Date               	: 2009-07-18
* Description        	: all the functions prototypes and defines of the project
********************************************************************************
********************************************************************************
* Processor						: ATmega168 @ 8 MHz
* Compiler						: IAR (V4.30D)
*******************************************************************************/

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef _includes_h_
#define _includes_h_ 1

/* Includes ------------------------------------------------------------------*/
#include <inavr.h>
#include <ioavr.h>
#include <math.h>

#include "ioavr.h"
#include "init.h"
#include "buttons.h"
#include "random.h"
#include "SE200.h"

#endif

/******************* (C) COPYRIGHT 2010 ELV AG *****END OF FILE****/
